## R-1.6.2.tgz

=== DESCRIPTION ===
Package: grid
Version: 0.7-4
Date: 2002/20/12
Priority: recommended
Title: The Grid Graphics Package
Author: Paul Murrell <paul@stat.auckland.ac.nz>
Maintainer: Paul Murrell <paul@stat.auckland.ac.nz>
Depends: R (>= 1.6.0)
Description: A rewrite of the graphics layout capabilities, plus some support for interaction.
License: GPL version 2
URL: http://www.stat.auckland.ac.nz/~paul/grid/grid.html
