=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for the Debian GNU/Linux r-base package
# Copyright 1997-2001 by Douglas Bates <bates@stat.wisc.edu>, <edd@debian.org>
# Copyright 2001-2002 by Dirk Eddelbuettel <edd@debian.org>

# $Id: rules,v 1.41.2.1 2002/12/30 17:32:09 bates Exp $

corepackage	= r-base-core
latexpackage	= r-base-latex
pdfpackage	= r-doc-pdf
htmlpackage	= r-doc-html
gnomepackage	= r-gnome
nmathpackage	= r-mathlib
infopackage	= r-doc-info
recdpackage	= r-recommended

# for the standalone library, no sonames are assigned in the upstream Makefiles
somaj		= 1
somin		= 0
sorel		= 0
libver		= $(somaj).$(somin).$(sorel)

debbase		:= $(CURDIR)/debian
debtmp		:= $(debbase)/tmp
debdoc		:= $(debbase)/$(corepackage)/usr/share/doc/$(corepackage)
debmat		:= $(debbase)/$(nmathpackage)
debetc		:= $(debbase)/$(corepackage)/usr/lib/R/etc

arch		:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

## set this to 1 if you want the skip the pdf creation and tests
#skipparts	= 1

# set this to 1 (default) if you want the Gnome GUI package
gnome		= 1
ifeq ($(gnome),0)
gnomeconfig 	= --without-gnome
else
gnomeconfig	= --with-gnome
endif

#export DH_VERBOSE = 1
export DH_COMPAT  = 3

# edd 15 Aug 2001: default to blas, atlas can override it 
atlas 		= --with-blas=blas

# edd 02 Sep 2001: default to g77 but let m68k use f2c
fortrancompiler	= F77=g77
compiler	= gcc
cxxcompiler	= g++

# edd 04 Sep 2001  default compiler flags, lowered for m68k
compilerflags	= -O2
# m68k barks when using g77, and when gcc use -O2
# edd 26 Nov 2002  switched back to g77
#ifeq ($(arch),m68k-linux)
#fortrancompiler	= F2C=f2c
#endif

## edd 09 Nov 2001  ia64 needs gcc-3.0, hppa gets it by default
ifeq ($(arch),ia64-linux)
fortrancompiler = F77=g77-3.0
compiler	= gcc-3.0
cxxcompiler	= g++-3.0
compilerflags	= -O2
endif

## lamont@debian.org 06 Dec 2001  hppa needs -ffunction-sections  
ifeq ($(arch),hppa-linux)
compilerflags   = -O2 -ffunction-sections
endif

## edd 20 Jun 2002      no optimisation or debugging on baby systems
ifneq "$(findstring $(arch), m68k-linux arm-linux)" ""
compilerflags	= -O0 -g0
endif

## try gcc-3.0 on i386 -- appears to work
#ifeq ($(arch),i386-linux)
#fortrancompiler= F77=g77-3.0
#compiler	= gcc-3.0
#cxxcompiler	= g++-3.0
#compilerflags	= -O2
#endif

get-orig-source: upstream
upstream:
	links http://cran.us.r-project.org/src/base

upstreamdevel:
	links http://cran.us.r-project.org/src/base
        #links ftp://ftp.stat.math.ethz.ch/Software/R

build: build-arch build-indep

build-arch: configure make-arch-stamp build-arch-stamp
build-arch-stamp:
	@echo "*** build-arch ***"
	touch build-arch-stamp

build-indep: configure make-indep-stamp build-indep-stamp
build-indep-stamp:
	@echo "*** build-indep ***"
	touch build-indep-stamp

configure: configure-stamp
configure-stamp:	
	@echo "*** configure ***"
	dh_testdir
	R_UNZIPCMD=/usr/bin/miniunzip			\
	R_ZIPCMD=/usr/bin/minizip			\
	CC=${compiler}					\
	CXX=${cxxcompiler}				\
	${fortrancompiler}				\
	CPPFLAGS=					\
	LDFLAGS=					\
	FLIBS=						\
	./configure --prefix=/usr			\
		    --with-tcltk			\
		    --mandir=/usr/share/man		\
		    --infodir=/usr/share/info		\
		    $(atlas)				\
		    $(gnomeconfig)			\
		    --enable-R-profiling		\
		    --enable-R-shlib			\
		    --host $(arch)

#		    --with-tcl-config=/usr/lib/tcl8.3/tclConfig.sh	
#		    --with-tk-config=/usr/lib/tk8.3/tkConfig.sh		

	touch configure-stamp

make-arch: configure make-arch-stamp 
make-arch-stamp: 
	@echo "*** make-arch ***"
	make		CFLAGS="$(compilerflags)"		\
			CXXFLAGS="$(compilerflags)"		\
			FFLAGS="$(compilerflags)"		\
			CC=${compiler} 				\
			CXX=${cxxcompiler}			\
			FC=${fortrancompiler}			\
			R
	make		CFLAGS="$(compilerflags)"		\
			CXXFLAGS="$(compilerflags)"		\
			FFLAGS="$(compilerflags)"		\
			CC=${compiler} 				\
			CXX=${cxxcompiler}			\
			FC=${fortrancompiler}			\
			stamp-recommended
        # currently needed for binary package with docs [FIXME: how?]
	make docs

        # make standalone math lib
	(cd src/nmath/standalone; 				\
		make	CFLAGS="$(compilerflags) -D_REENTRANT"	\
			CXXFLAGS="$(compilerflags) -D_REENTRANT"\
			FFLAGS="$(compilerflags) -D_REENTRANT"	\
			CC=${compiler} 				\
			CXX=${cxxcompiler} 			\
			FC=${fortrancompiler}			\
			libRmath_la_LDFLAGS=-Wl,-soname,libRmath.so.$(somaj) \
			)
        # FIXME
	make html
        # currently needed for binary package [FIXME: into r-doc-help]
	make help
	touch make-arch-stamp

make-indep: configure make-indep-stamp
make-indep-stamp:
	@echo "*** make-indep ***"
        # FIXME would be nice here:   make docs
        #                             make help
        # currently needed for binary package [FIXME: into r-doc-info]
	make info
	make pdf
	touch make-indep-stamp

make: configure make-arch-stamp make-indep-stamp make-stamp
make-stamp: 
        # Already made in general 'make': make html
	touch make-stamp

check: configure make-arch check-stamp
check-stamp: 
	@echo "*** check ***"
ifneq	($(arch),arm-linux)
	-make check
endif
	touch check-stamp

clean:
	@echo "*** clean ***"
	dh_testdir
	dh_testroot
	rm -f 	configure-stamp \
		build-stamp build-indep-stamp build-arch-stamp \
		make-stamp make-arch-stamp make-indep-stamp \
		install-indep-stamp install-arch-stamp \
		check-stamp 
	-make distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars
	-rm -f doc/html/function.html doc/html/packages.html
	-rm -f modules/*.so
        # left over in CVS from r-base --> r-base-core transition
	(cd debian; rm -vf r-base.dirs r-base.files r-base.lintian \
			r-base.menu r-base.postinst)	
	dh_clean

install: install-arch install-indep 

install-arch: make-arch check install-arch-stamp
install-arch-stamp: 
	@echo "*** install-arch ***"
	dh_testdir
	dh_testroot
	dh_clean -a -k
	dh_installdirs -A

	make    	prefix=$(debtmp)/usr   	 		\
			mandir=$(debtmp)/usr/share/man	 	install

        # Now for a set of fixes / corrections for the Debian installation 

        # set R_HOME_DIR env.var. in R shell script
	sed -e '/^R_HOME_DIR=.*/s::R_HOME_DIR=/usr/lib/R:' \
	  < bin/R > $(debtmp)/usr/bin/R
	sed -e '/^R_HOME_DIR=.*/s::R_HOME_DIR=/usr/lib/R:' \
	  < bin/R > $(debtmp)/usr/lib/R/bin/R

        # set browser to mozilla as mozilla-1.0.0 works with help.start()
	sed -e '/^R_BROWSER=.*/s::R_BROWSER=$${R_BROWSER-/usr/bin/mozilla}:' \
	  < etc/Renviron > $(debtmp)/usr/lib/R/etc/Renviron

        # fix permissions (Lintian)
	chmod a+x 	$(debtmp)/usr/lib/R/share/sh/echo.sh 		\
			$(debtmp)/usr/lib/R/share/sh/help-links.sh	\
			$(debtmp)/usr/lib/R/share/sh/help-print.sh

        # remove unneeded license files, but link them back
	rm -v 	$(debtmp)/usr/lib/R/COPYING 		\
		$(debtmp)/usr/lib/R/COPYING.LIB 
	(cd $(debtmp)/usr/lib/R/; \
		ln -s ../../share/common-licenses/GPL COPYING; \
		ln -s ../../share/common-licenses/LGPL COPYING.LIB)

        # edd 15 Jul 2002 reduce compile load on small machines
ifneq "$(findstring $(arch), m68k-linux arm-linux)" ""
	perl -p -i -e 's/-g -O2/-g0 -O0/g' $(debtmp)/usr/lib/R/etc/Makeconf
endif

        # that being done, now install in different sub-packages

        # move the GNOME version to the r-gnome package
ifneq ($(gnome),0)
	dh_movefiles	-p$(gnomepackage) 	usr/lib/R/modules/R_gnome.so
endif

        # move files for r-recommended
        # doing this before html/latex moves ensure they keep their tex/latex
	dh_movefiles	-p$(recdpackage)
        # move the html manual files in r-doc-html.files into r-doc-html 
        # these get built in make-arch too ...
	dh_movefiles	-p$(htmlpackage)		
        # move files for r-base-html
	dh_movefiles	-pr-base-html
        # move files for r-base-latex
	dh_movefiles	-pr-base-latex
        # move all the rest into r-base-core
	dh_movefiles	-p$(corepackage)

        # for the standalone library package, move the two libs
        # as 'make install' ignore these, we have to do it by hand
	dh_installdirs -p$(nmathpackage) usr/include usr/lib
